Change log for foo2zjs package in Ubuntu

175 of 92 results
Published in disco-release on 2018-11-09
Deleted in disco-proposed (Reason: moved to release)
foo2zjs (20171202dfsg0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Don't test for stdio.h in fullpath (Closes: #910322)

 -- Didier Raboud <email address hidden>  Fri, 05 Oct 2018 16:34:48 +0200
Superseded in disco-release on 2018-11-09
Published in cosmic-release on 2018-05-08
Deleted in cosmic-proposed (Reason: moved to release)
foo2zjs (20171202dfsg0-1) unstable; urgency=medium

  * New upstream version 20171202
    - New Printers: HP LaserJet Pro M12a, M12w
  * DFSG repack (no changes from previous releases)
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Packaging cleanup:
    - Bump debhelper compat to 11
    - Don't forcibly set DEB_HOST_ARCH_OS
    - Add Files-Excluded in d/copyright
    - Bump S-V to 4.1.4
    - Remove superfluous Testsuite: field

 -- Didier Raboud <email address hidden>  Tue, 08 May 2018 08:27:09 +0200
Superseded in cosmic-release on 2018-05-08
Published in bionic-release on 2018-02-26
Deleted in bionic-proposed (Reason: moved to release)
foo2zjs (20170320dfsg0-4) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't recommend tk on Ubuntu (Closes: #886179)

 -- Didier Raboud <email address hidden>  Sun, 25 Feb 2018 16:41:56 +0100
Superseded in bionic-release on 2018-02-26
Deleted in bionic-proposed on 2018-02-27 (Reason: moved to release)
foo2zjs (20170320dfsg0-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't recommend tk on Ubuntu (Closes: #601591 again)

 -- Till Kamppeter <email address hidden>  Sun, 25 Feb 2018 12:09:03 +0100
Superseded in bionic-release on 2018-02-25
Deleted in bionic-proposed on 2018-02-26 (Reason: moved to release)
foo2zjs (20170320dfsg0-2ubuntu1) bionic; urgency=medium

  * Don't recommend tk on Ubuntu (Closes: #601591 again)

 -- Jeremy Bicha <email address hidden>  Tue, 02 Jan 2018 14:47:55 -0500
Superseded in bionic-release on 2018-01-02
Published in artful-release on 2017-06-20
Deleted in artful-proposed (Reason: moved to release)
foo2zjs (20170320dfsg0-2) unstable; urgency=low

  * Migrate 20170320 to unstable

 -- Didier Raboud <email address hidden>  Sun, 18 Jun 2017 17:05:18 +0200
Superseded in artful-release on 2017-06-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
foo2zjs (20160902dfsg0-2) unstable; urgency=medium

  * Update patch to getweb to fix installation of icm files
    (Closes: #840129)

 -- Didier Raboud <email address hidden>  Sat, 08 Oct 2016 18:38:08 +0200
Superseded in zesty-release on 2016-11-03
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
foo2zjs (20160313dfsg0-2) unstable; urgency=medium

  [ Colin Watson ]
  * Explicitly prefer cups-filters as the real provider of foomatic-filters

 -- Didier Raboud <email address hidden>  Sat, 18 Jun 2016 15:06:36 +0200
Superseded in yakkety-release on 2016-07-14
Published in xenial-release on 2016-04-07
Deleted in xenial-proposed (Reason: moved to release)
foo2zjs (20151024dfsg0-1ubuntu1) xenial; urgency=medium

  * Explicitly prefer cups-filters as the real provider of foomatic-filters;
    it's already the one in Ubuntu main.

 -- Colin Watson <email address hidden>  Thu, 07 Apr 2016 12:08:30 +0100
Superseded in xenial-release on 2016-04-07
Deleted in xenial-proposed on 2016-04-08 (Reason: moved to release)
foo2zjs (20151024dfsg0-1) unstable; urgency=medium

  * New 20151024 upstream release
    - New Printer: Epson AcuLaser CX17NF using the foo2hbpl2 driver

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Didier Raboud <email address hidden>  Sat, 12 Dec 2015 17:29:39 +0100
Superseded in xenial-release on 2016-02-14
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
foo2zjs (20150819dfsg0-0ubuntu1) wily; urgency=medium

  * New 20150819 upstream release
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches

 -- Till Kamppeter <email address hidden>  Wed, 19 Aug 2015 19:40:58 -0300
Superseded in wily-release on 2015-08-20
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
foo2zjs (20150214dfsg0-0ubuntu1) vivid; urgency=medium

  * New 20150214 upstream release
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * Refresh patches
 -- Till Kamppeter <email address hidden>   Sat, 14 Feb 2015 09:57:53 -0200
Superseded in vivid-release on 2015-02-14
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
foo2zjs (20140925dfsg0-3) unstable; urgency=medium


  [ Peter De Wachter ]
  * Fix laserjet1018 appearance and disappearance loop: (Closes: #663868)
    - update the 30-udev-rules.patch to add an 'ACTION="add"' to avoid running
      the firmware upload script on unplug,
    - add patch 97-hplj1000-fix-firmware-upload-infite-loop.patch to ignore the
      irrelevant events and thus cut the loop short.

 -- Didier Raboud <email address hidden>  Thu, 02 Oct 2014 22:51:47 +0200
Superseded in utopic-proposed on 2014-10-03
foo2zjs (20140925dfsg0-2) unstable; urgency=medium


  * Put tix to Recommends on Debian and to Suggests on Ubuntu and derivatives

 -- Didier Raboud <email address hidden>  Tue, 30 Sep 2014 18:03:18 +0200
Superseded in utopic-release on 2014-10-03
Deleted in utopic-proposed on 2014-10-04 (Reason: moved to release)
foo2zjs (20140519dfsg0-2ubuntu1) utopic; urgency=medium

  [ Till Kamppeter ]
  * Reverted the changes to use the system-provided liblcms1 as under Ubuntu
    this obsolete library is not available any more in Main.

  [ Matthias Klose ]
  * printer-driver-foo2zjs-common: Suggest tix instead of recommending it.
 -- Till Kamppeter <email address hidden>   Thu,  7 Aug 2014 23:25:59 +0200
Superseded in utopic-proposed on 2014-08-07
foo2zjs (20140519dfsg0-2) unstable; urgency=medium


  * Add autopkgtest suite
  * Use the Debian-provided liblcms1
    - Add liblcms1-dev to Build-Depends;
    - Add 20-system-liblcms.patch.

 -- Didier Raboud <email address hidden>  Fri, 01 Aug 2014 16:59:15 +0200
Superseded in utopic-release on 2014-08-08
Published in trusty-release on 2014-02-18
Deleted in trusty-proposed (Reason: moved to release)
foo2zjs (20140209dfsg0-1ubuntu1) trusty; urgency=medium

  [ Matthias Klose ]
  * printer-driver-foo2zjs-common: Suggest tix instead of recommending it.
 -- Till Kamppeter <email address hidden>   Tue, 18 Feb 2013 23:59:59 +0100
Superseded in trusty-release on 2014-02-18
Deleted in trusty-proposed on 2014-02-20 (Reason: moved to release)
foo2zjs (20140209dfsg0-1) unstable; urgency=medium


  * New 20140209 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Use dh_pyppd's --archive-filename option instead of renaming the
    archive by hand
  * Refresh patches, update the spelling fixes'
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <email address hidden>  Tue, 11 Feb 2014 09:57:22 +0100
Superseded in trusty-release on 2014-02-18
Deleted in trusty-proposed on 2014-02-19 (Reason: moved to release)
foo2zjs (20131225dfsg0-6ubuntu1) trusty; urgency=medium

  * printer-driver-foo2zjs-common: Suggest tix instead of recommending it.
 -- Matthias Klose <email address hidden>   Mon, 13 Jan 2014 06:21:28 +0100
Superseded in trusty-release on 2014-01-13
Deleted in trusty-proposed on 2014-01-14 (Reason: moved to release)
foo2zjs (20131225dfsg0-6) unstable; urgency=low


  * Move the ppd-updater cups trigger to -common, where it belongs

 -- Didier Raboud <email address hidden>  Fri, 10 Jan 2014 11:24:02 +0100
Superseded in trusty-proposed on 2014-01-10
foo2zjs (20131225dfsg0-4) unstable; urgency=low


  * Correct the name of the pyppd-compressed PPD set to correspond to
    the earlier ppd-updater driver name, thanks to Till Kamppeter
  * Let printer-driver-foo2zjs-common Recommend printer-driver-foo2zjs

 -- Didier Raboud <email address hidden>  Thu, 09 Jan 2014 22:32:17 +0100

Available diffs

Superseded in trusty-release on 2014-01-10
Deleted in trusty-proposed on 2014-01-11 (Reason: moved to release)
foo2zjs (20131225dfsg0-3) unstable; urgency=low


  * Fix the patch to avoid the implicit declaration of swab() in
    cmsio1.c

 -- Didier Raboud <email address hidden>  Wed, 08 Jan 2014 12:52:44 +0100
Superseded in trusty-release on 2014-01-08
Deleted in trusty-proposed on 2014-01-10 (Reason: moved to release)
foo2zjs (20131225dfsg0-1) unstable; urgency=low


  * New 20131325 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  
  * Refresh all patches
  * Add patch to avoid the implicit declaration of swab() in cmsio1.c
  * Update Makefile patch to push CPPFLAGS and LDFLAGS to all needed
    places
  * Move getweb from usr/bin/ to usr/sbin/ as it needs to be run by root
    (as patched by Debian)
  * Stop installing the upstream changelog twice
  * Update 90-manpages patch to fix more errors and all hyphen-as-minus-
    sign occurences
  * Update 91-spelling-fixes to fix more occurences of 'langauge' or
    'similiar'
  * Move hplj1000 and all linked scripts from /usr/sbin/ to /lib/udev as
    they are called by the package udev rules-file
  * Add lintian override for /lib/firmware/hp empty directory
  * Only ship command2foo2lava-pjl in cups filters

 -- Didier Raboud <email address hidden>  Tue, 07 Jan 2014 15:43:17 +0100
Superseded in trusty-release on 2014-01-08
Deleted in trusty-proposed on 2014-01-09 (Reason: moved to release)
foo2zjs (20131118dfsg0-1) unstable; urgency=low


  * New 20131118 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Update patches to cope with new upstream release
  * Drop foo2zjs transitional package which reached stable

 -- Didier Raboud <email address hidden>  Fri, 29 Nov 2013 18:30:05 +0100
Superseded in trusty-release on 2013-12-02
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
foo2zjs (20130826dfsg0-0ubuntu2) saucy; urgency=low

  * No-change rebuild to get improved PPD archives via pyppd 1.0.0-3ubuntu1.
 -- Till Kamppeter <email address hidden>   Mon,  2 Sep 2013 22:08:03 +0200
Superseded in saucy-release on 2013-09-05
Deleted in saucy-proposed on 2013-09-06 (Reason: moved to release)
foo2zjs (20130826dfsg0-0ubuntu1) saucy; urgency=low

  * New 20130826 upstream release
    - Added support for Fuji Xerox DocuPrint P205
    - Bug fixes.
  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear
  * debian/patches/10-makefile.patch: Refreshed with quilt.
  * debian/patches/90-manpages.patch: Updated as some issues got fixed upstream.
 -- Till Kamppeter <email address hidden>   Mon, 26 Aug 2013 11:10:52 +0200
Superseded in saucy-release on 2013-08-26
Deleted in saucy-proposed on 2013-08-27 (Reason: moved to release)
foo2zjs (20130513dfsg0-1) unstable; urgency=low


  * New 20130513 upstream release.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

 -- Didier Raboud <email address hidden>  Fri, 17 May 2013 11:21:27 +0200
Superseded in saucy-release on 2013-05-20
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
foo2zjs (20130306dfsg0-1ubuntu1) raring; urgency=low

  * Removed "Recommends: foomatic-db-engine"(LP: #1152831).
 -- Till Kamppeter <email address hidden>   Sat,  9 Mar 2013 08:54:07 +0100
Superseded in raring-release on 2013-03-09
Deleted in raring-proposed on 2013-03-10 (Reason: moved to release)
foo2zjs (20130306dfsg0-1) experimental; urgency=low


  * New 20130306 upstream release.
    - Cleanup on foo2hblp2.

  * DFSG repack (no changes from previous releases).
    - remove binary file c5200mono.prn
    - remove crd/qpdl/CLP* , because copyright is unclear

  * Amend 20130220dfsg0-2 changelog entry to revert the
    Depends/Recommends explanation between Ubuntu and Debian back to
    what was implemented.
  * Add get-orig-source target to facilitate new upstream version
    import.
  * Add foo2hblp2 in Description.

 -- Didier Raboud <email address hidden>  Fri, 08 Mar 2013 15:13:33 +0100
Superseded in raring-release on 2013-03-08
Deleted in raring-proposed on 2013-03-10 (Reason: moved to release)
foo2zjs (20130303dfsg0-1ubuntu1) raring; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Depends on the mscompress package.

Superseded in raring-release on 2013-03-07
Obsolete in quantal-release on 2015-04-24
foo2zjs (20120510dfsg0-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/96-hplj1000-fix-cups-usb-backend-firmware-upload.patch
    - Depends on the mscompress package.

Superseded in quantal-release on 2012-06-01
foo2zjs (20111202dfsg0-1ubuntu2) quantal; urgency=low

  * debian/patches/96-hplj1000-fix-cups-usb-backend-firmware-upload.patch:
    The firmware upload script tried to upload the firmware via the usblp
    kernel module and with the CUPS USB backend (using libusb) in parallel,
    making the printer crash (LP: #1003843).
 -- Till Kamppeter <email address hidden>   Fri, 25 May 2012 19:29:00 +0200
Superseded in quantal-release on 2012-05-25
Published in precise-release on 2012-02-14
foo2zjs (20111202dfsg0-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.

Superseded in precise-release on 2012-02-14
Obsolete in oneiric-release on 2015-04-24
foo2zjs (20110811dfsg-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.

Superseded in oneiric-release on 2011-08-22
foo2zjs (20110722dfsg-3ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Depends on the mscompress package.
    - Depends on cup and cups-client and does not only recommend them. Ubuntu
      supports only CUPS as printing system (more investigation needed).

Superseded in oneiric-release on 2011-07-27
foo2zjs (20110210dfsg-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
      Added support for uploading firmwae into printers using the USB backend
      of CUPS. This way the firmware upload also works without the usblp
      kernel module (Closes: #630228).
    - debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
      Removed the lines in the UDEV script for the automatic firmware upload
      into the printer which remove the UDEV rules files for HPLIP's automatic
      firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).
    - Depends on the mscompress package.
  * debian/rules: Added "-dNOINTERPOLATE" to the Ghostscript command lines to
    make Ghostscript rendering the pages significantly faster.
 -- Till Kamppeter <email address hidden>   Sat, 23 Jul 2011 22:37:00 +0200
Superseded in oneiric-release on 2011-07-23
foo2zjs (20110210dfsg-1ubuntu5) oneiric; urgency=low

  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Small fix on the patch.
 -- Till Kamppeter <email address hidden>   Tue, 14 Jun 2011 17:47:00 +0200
Superseded in oneiric-release on 2011-06-14
foo2zjs (20110210dfsg-1ubuntu4) oneiric; urgency=low

  * debian/patches/96-udev-firmware-script-cups-libusb-support.patch:
    Added support for uploading firmwae into printers using the USB backend
    of CUPS. This way the firmware upload also works without the usblp
    kernel module (Closes: #630228).
 -- Till Kamppeter <email address hidden>   Tue, 14 Jun 2011 16:35:00 +0200
Superseded in oneiric-release on 2011-06-14
foo2zjs (20110210dfsg-1ubuntu3) oneiric; urgency=low

  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload into
    the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).
 -- Till Kamppeter <email address hidden>   Wed,  8 Jun 2011 13:30:00 +0200
Obsolete in natty-updates on 2013-06-04
Deleted in natty-proposed on 2013-06-04 (Reason: moved to -updates)
foo2zjs (20110210dfsg-1ubuntu2.1) natty-proposed; urgency=low

  * debian/patches/95-udev-firmware-script-no-hplip-rules-removal.patch:
    Removed the lines in the UDEV script for the automatic firmware upload into
    the printer which remove the UDEV rules files for HPLIP's automatic
    firmware upload. NO WARS BETWEEN FREE SOFTWARE PROJECTS! (LP: #783389).
 -- Till Kamppeter <email address hidden>   Wed,  8 Jun 2011 13:30:00 +0200
Superseded in oneiric-release on 2011-06-08
Obsolete in natty-release on 2013-06-04
foo2zjs (20110210dfsg-1ubuntu2) natty; urgency=low

  * debian/control: Dropped dependency on mscompress on the merge from Debian,
    re-added it.
 -- Till Kamppeter <email address hidden>   Tue,  8 Mar 2011 12:00:00 +0100
Superseded in natty-release on 2011-03-08
foo2zjs (20110210dfsg-1ubuntu1) natty; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/rules: Hide menu entry for the paper-out resetter for the HP
      LaserJet 1018/1020 and improve UI text for this menu entry.
    - debian/local/apport-hook.py, debian/rules: Add apport hook.

Superseded in natty-release on 2011-02-22
foo2zjs (20100728-0ubuntu2) natty; urgency=low

  * No-change upload to reduce changelogs.
 -- Martin Pitt <email address hidden>   Mon, 13 Dec 2010 12:35:59 +0100
Superseded in natty-release on 2010-12-13
Obsolete in maverick-release on 2013-03-05
foo2zjs (20100728-0ubuntu1) maverick; urgency=low

  * New upstream release
     o Snapshot from Jul 28, 2010.
  * debian/patches/91-wrapper-scripts-custom-pagesize-via-command-line.dpatch:
    Removed, fixed upstream.
  * debian/patches/30-udev-rules.dpatch,
    debian/patches/60-getweb.in.dpatch: Updated to work with new foo2zjs
    source.
  * debian/patches/60-getweb.in.dpatch, debian/patches/80-getweb.in.dpatch:
    merged 80-getweb.in.dpatch into 60-getweb.in.dpatch.
  * debian/rules: Added "CUPS_SERVERBIN=..." to the "make install" command
    line.
  * debian/foo2zjs.postinst: Migrate driver name "foo2zjs" to "foo2zjs-z1"
    and "foo2zjs-z2".
 -- Till Kamppeter <email address hidden>   Wed, 28 Jul 2010 22:47:45 +0200
Superseded in maverick-release on 2010-07-28
foo2zjs (20100210-0ubuntu5) maverick; urgency=low

  * Drop tk8.4 from recommends to suggests, to avoid dragging in Tcl and Tk by
    default.
 -- Martin Pitt <email address hidden>   Wed, 30 Jun 2010 10:46:20 +0200
Superseded in maverick-release on 2010-06-30
Obsolete in lucid-release on 2016-10-26
foo2zjs (20100210-0ubuntu4) lucid; urgency=low

  * debian/patches/92-udev-firmware-script-fixes.dpatch: When loading
    firmware into the printer via UDEV script, wait 3 seconds, so that UDEV
    scripts for automatic printer setup do not interfere with the firmware
    transfer to the printer (LP: #543177).
 -- Till Kamppeter <email address hidden>   Thu, 25 Mar 2010 09:02:26 +0100
Superseded in lucid-release on 2010-03-25
foo2zjs (20100210-0ubuntu3) lucid; urgency=low

  * debian/patches/91-wrapper-scripts-custom-pagesize-via-command-line.dpatch,
    debian/rules: Replaced Perl magic to modify the wrapper scripts for
    custom page size support via command line by the proper upstream fix
    (LP: #539242).
  * debian/patches/60-getweb.in.dpatch: Redone the patch so that it really
    installs everything into the directories of the correct drivers. Before
    the files got all installed into subdirectories of /usr/share/foo2zjs
    and so firmware and ICM files were only found by the "foo2zjs" driver.
    This could solve the color output problem of LP: #424546.
 -- Till Kamppeter <email address hidden>   Tue, 16 Mar 2010 11:18:26 +0100
Superseded in lucid-release on 2010-03-19
foo2zjs (20100210-0ubuntu2) lucid; urgency=low

  * debian/foo2zjs.preinst: when removing old udev rules, handle files that
    are marked as obsolete when checking md5sums.
 -- Kees Cook <email address hidden>   Tue, 16 Feb 2010 16:20:22 -0800
Superseded in lucid-release on 2010-02-17
foo2zjs (20100210-0ubuntu1) lucid; urgency=low

  * New upstream release
     o Snapshot from Feb 10, 2010.
  * README.Debian: Updated completely outdated content. We are using the
    complete original source code again for longer time as there are no
    binary-only executables and no *.icm files any more in the source
    tarball.
  * debian/local/HP-LaserJet_1022n.ppd, debian/local/HP-LaserJet_1022nw.ppd,
    debian/rules: Added PPDs for some additional models (LP: #250872).
 -- Till Kampeter <email address hidden>   Wed, 10 Feb 2010 10:17:26 +0100
Superseded in lucid-release on 2010-02-10
foo2zjs (20090908dfsg-1ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/foo2zjs.postinst: Automatically update the PPD files for
      existing queues to the versions supplied with this package.
    - debian/foo2zjs.preinst: handle moving 85-hplj10xx.rules from
      /etc/udev/rules.d to /lib/udev/rules.d, needed for upgrades from hardy.
    - debian/control, debian/rules: Do not include msexpand, as it is already
      in the mscompress package. Add a dependency on mscompress instead.
    - debian/control: Require foomatic-filters 4.x
    - debian/control: Add dependency on cups and cups-client to ensure that
      automatic update of the PPDs of existing print queues works.
    - debian/control: Drop tix recommends to a suggests.
    - debian/control: Breaks: udev (<< 136-1) to ensure the correct udev
      version is used.
    - debian/rules: Add /etc/papersize support, and modify all
      /usr/bin/foo2*-wrapper scripts to handle custom page sizes correctly in
      the PDF-based printing workflow.
    - debian/rules: Add "*cupsFilter" line to accept PDF input data to the
      PPDs.
    - debian/rules, debian/85-hplj10xx.rules: move the rules from
      11-hplj10xx.rules to 85-hplj10xx.rules per /etc/udev/rules.d/README,
      and include a number of updates, superseding 30-udev-rules.dpatch:
      + Make automatic firmware loading work for the HP LaserJet 1000, 1005,
        1018, 1020, P100x and 1505 printers.
      + 'BUS=="usb"' is deprecated, replaced with 'SUBSYSTEMS=="usb"'.
      + Removed deprecated '%e' tags from UDEV rules.
      + Removed UDEV rule items which conflict with the general UDEV rules
        for USB printers: 'NAME="usb/%k"', 'MODE="0666"'.
      + Change SYSFS to ATTRS.
    - debian/rules: Hide menu entry for the paper-out resetter for the HP
      LaserJet 1018/1020 and improve UI text for this menu entry.
    - debian/local/apport-hook.py, debian/rules: Add apport hook.
  * Dropped changes:
    - Replaces/Provides/Conflicts: foo2zjs-ppds: this package is not present
      in any supported release.
    - No hannah-foo2zjs package: this has been dropped in Debian as well.

Superseded in lucid-release on 2009-12-01
Obsolete in karmic-release on 2013-03-04
foo2zjs (20090623-0ubuntu5) karmic; urgency=low

  * Drop tix recommends to a suggests.

 -- Steve Langasek <email address hidden>   Mon, 19 Oct 2009 01:41:45 -0700
Superseded in karmic-release on 2009-10-19
foo2zjs (20090623-0ubuntu4) karmic; urgency=low

  * debian/foo2zjs.postinst: Fixed "lpstat -r" check for the
    auto update of PPDs of existing queues. "lpstat -r" exits always with
    status 0, we must check the actual output. Call lpstat, lpadmin, and
    cupsctl with "-h /var/run/cups/cups.sock" to avoid querying remote
    servers set up in /etc/cups/client.conf, and asking for passwords.
    Thanks to Martin-√Čric Racine for tracking this down and the solution!
    See Debian bug #543468. Use signal names instead of numbers for trap.
    Quiesces a lintian bashism warning.

 -- Till Kamppeter <email address hidden>   Fri, 18 Sep 2009 15:07:23 +0200
Superseded in karmic-release on 2009-09-18
foo2zjs (20090623-0ubuntu3) karmic; urgency=low

  * debian/rules: Hide menu entry for the paper-out resetter for the HP
    LaserJet 1018/1020 (LP: #396271) and improved UI texts of this menu
    entry (LP: #398958).

 -- Till Kamppeter <email address hidden>   Tue, 21 Jul 2009 12:18:49 +0200
Superseded in karmic-release on 2009-07-21
foo2zjs (20090623-0ubuntu2) karmic; urgency=low

  * debian/control: Added dependency on cups and cups-client to assure that
    automatic update of the PPDs of existing print queues works.

 -- Till Kamppeter <email address hidden>   Wed, 24 Jun 2009 08:55:49 +0200
Superseded in karmic-release on 2009-06-24
foo2zjs (20090623-0ubuntu1) karmic; urgency=low

  * New upstream version
    - Snapshot from June 23, 2009
    - Added support for Konica-Minolta magicolor 1600W, 1680MF, 1690MF, 4690MF,
      Samsung CLP-310
    - Color management improvements (many new color profiles)
    - Bug fixes
  * Merge from debian unstable, remaining changes:
    - Auto-update of PPDs of existing print queues
    - Apport hook
    - Use of mscompress from external package
    - Depends: foomatic-filters
    - Replaces/Provides/Conflicts: foo2zjs-ppds
    - Breaks: udev (<< 136-1)
    - No hannah-foo2zjs package.
    - /etc/papersize support
    - Support for the PDF printing workflow:
       o "*cupsFilter:" lines for PDF input in the PPDs
       o Let wrapper scripts read custom page sizes also
	 from the command line and not only from embedded
         PostScript commands.

 -- Till Kamppeter <email address hidden>   Tue, 23 Jun 2009 21:48:49 +0200
Obsolete in intrepid-updates on 2013-02-20
Deleted in intrepid-proposed on 2013-02-27 (Reason: moved to -updates)
foo2zjs (20080810-0ubuntu4.1) intrepid-proposed; urgency=low

  * debian/rules: Modify all /usr/bin/foo2*-wrapper scripts to handle
    custom page sizes correctly in the PDF-based printing workflow
    (LP: #351630).

 -- Till Kamppeter <email address hidden>   Mon, 30 Mar 2009 16:02:13 +0200
Superseded in karmic-release on 2009-06-23
Obsolete in jaunty-release on 2013-02-28
foo2zjs (20090217-0ubuntu4) jaunty; urgency=low

  * debian/foo2zjs.postinst: Silenced non-fatal error messages when
    post-install script updates PPDs and there are PPDs not belonging to
    a CUPS queue in /etc/cups/ppd/ (LP: #345866).

 -- Till Kamppeter <email address hidden>   Thu, 26 Mar 2009 16:10:49 +0100
Superseded in jaunty-release on 2009-03-27
foo2zjs (20090217-0ubuntu3) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules: Added apport hook (LP: #338442).

 -- Till Kamppeter <email address hidden>   Thu, 19 Mar 2009 18:31:49 +0100
Superseded in jaunty-release on 2009-03-19
foo2zjs (20090217-0ubuntu2) jaunty; urgency=low

  * debian/rules: Modify all /usr/bin/foo2*-wrapper scripts to handle
    custom page sizes correctly in the PDF-based printing workflow.

 -- Till Kamppeter <email address hidden>   Sun,  8 Mar 2009 23:10:13 +0100
Superseded in jaunty-release on 2009-03-09
foo2zjs (20090217-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Snapshot from February 17, 2009
    - Added support for Oki C3100, Samsung CLX-3175, HP LaserJet P2035,
      M1319 MFP.
    - Color management improvements for some printers and bug fixes.
  * debian/foo2zjs.postinst: Added automatic update of the PPD files of the
    existing queuea to the PPDs supplied with this package.

 -- Till Kamppeter <email address hidden>   Tue, 17 Feb 2009 14:03:13 +0100
Superseded in jaunty-release on 2009-02-17
foo2zjs (20080810-0ubuntu6) jaunty; urgency=low

  * Add Breaks to ensure the right version of udev is used.

 -- Scott James Remnant <email address hidden>   Fri, 09 Jan 2009 11:46:39 +0000
Superseded in jaunty-release on 2009-01-09
foo2zjs (20080810-0ubuntu5) jaunty; urgency=low

  * debian/85-hplj10xx.rules: Change SYSFS to ATTRS.
  * debian/rules: Install into /lib/udev/rules.d
  * debian/foo2zjs.install: Update path here, though this is a no-op
  * debian/foo2zjs.preinst: Remove old file if unmodified

 -- Scott James Remnant <email address hidden>   Wed, 07 Jan 2009 15:01:02 +0000
Obsolete in hardy-updates on 2015-04-24
Deleted in hardy-proposed on 2015-04-30 (Reason: moved to -updates)
foo2zjs (20071205-0ubuntu3.1) hardy-proposed; urgency=low

  * Depends on foomatic-filters (LP: #292228).

 -- Alessio Treglia <email address hidden>   Sun, 02 Nov 2008 15:41:41 +0100
Superseded in jaunty-release on 2009-01-07
Obsolete in intrepid-release on 2013-02-20
foo2zjs (20080810-0ubuntu4) intrepid; urgency=low

  * debian/rules, debian/85-hplj10xx.rules: Made automatic firmware loading
    also working for the HP LaserJet P100x and 1505 printers.

 -- Till Kamppeter <email address hidden>   Tue,  9 Sep 2008 09:50:50 +0200
Superseded in intrepid-release on 2008-09-09
foo2zjs (20080810-0ubuntu3) intrepid; urgency=low

  * debian/rules: Improved regular expression to insert /etc/papersize
    support into the /usr/bin/foo2*-wrapper scripts (LP: #267960).

 -- Till Kamppeter <email address hidden>   Tue,  9 Sep 2008 08:50:50 +0200
Superseded in intrepid-release on 2008-09-09
foo2zjs (20080810-0ubuntu2) intrepid; urgency=low

  * debian/rules: Add "*cupsFilter" line to accept PDF input data to the PPDs
  * debian/control: Require foomatic-filters 4.x, do not recommend
    foomatic-db-engine any more, as we have ready-made PPDs.

 -- Till Kamppeter <email address hidden>   Wed, 13 Aug 2008 16:20:50 +0200
Superseded in intrepid-release on 2008-08-13
foo2zjs (20080810-0ubuntu1) intrepid; urgency=low

  * New upstream release
    - Snapshot from May  2, 2008
    - Added support for Oki C3530 MFP, HP Color LaserJet CP1215, LaserJet
      P1007, P1008, Samsung CLP-315.
  * debian/foo2zjs.install: Added /usr/share/foo2hiperc.

 -- Till Kamppeter <email address hidden>   Sun, 10 Aug 2008 17:48:50 +0200
Superseded in intrepid-release on 2008-08-10
foo2zjs (20080502-0ubuntu1) intrepid; urgency=low

  * New upstream release
    - Snapshot from May  2, 2008
    - Added support for HP LaserJet 2014, M1005 MFP, M1120 MFP, Kyocera
      Mita KM-1635, KM-2035Lexmark C500n, Oki C3200n, C3300, C3400n, C5100n,
      C5200n, C5500n, C5600n, C5800n, Samsung CLP-610.
  * debian/patches/50-buffered-input-for-ghostscript.dpatch,
    debian/patches/60-device-uri.dpatch: Removed, merged upstream.
  * debian/local/*, debian/local/ppd/*.ppd, debian/rules: Removed added
    support for Oki printers, they are supported directly from the
    upstream source now.

 -- Till Kamppeter <email address hidden>   Fri,  2 May 2008 11:47:01 +0200
Superseded in intrepid-release on 2008-05-05
Obsolete in hardy-release on 2015-04-24
foo2zjs (20071205-0ubuntu3) hardy; urgency=low

  * debian/rules: Improved Perl magic for the /etc/papersize support. It broke
    some of the wrapper scripts (LP: #205716).

 -- Till Kamppeter <email address hidden>   Mon, 24 Mar 2008 19:48:05 +0100
Superseded in hardy-release on 2008-03-25
foo2zjs (20071205-0ubuntu2) hardy; urgency=low

  * debian/local/*, debian/local/ppd/*.ppd, debian/rules: Added support
    for HP LaserJet M1120 MFP, Oki C3200n, C3300, C3400n, C5100n, C5200n,
    C5500n, C5600n, C5800n (LP: #192948).
  * debian/patches/20-honour-papersize.dpatch, debian/rules: Patch replaced
    by Perl magic in the debian/rules file. This way the /etc/papersize support
    gets automatically applied to every new wrapper script appearing in
    future versions of foo2zjs.
  * debian/patches/60-device-uri.dpatch: Corrected environment variable name
    in foo2* filters: DEVICE_URL -> DEVICE_URI (bug fix from current upstream
    snapshot).
  * debian/patches/70-ghostscript-crash-with-wts-in-monochrome.dpatch:
    Avoid using well-tempered screening (WTS) in monochrome printing mode
    as it makes Ghostscript crashing at 1200x600 dpi (bug fix from current
    upstream snapshot).
  * debian/rules: Cleaned up "clean" rule.

 -- Till Kamppeter <email address hidden>   Mon, 25 Feb 2008 14:48:05 +0100
Superseded in hardy-release on 2008-03-17
foo2zjs (20071205-0ubuntu1) hardy; urgency=low

  * New upstream release
    - Snapshot from Dec 5, 2007
    - Added support for HP LaserJet P1005, P1006, P1505
  * debian/patches/50-buffered-input-for-ghostscript.dpatch: Let Ghostscript
    always use buffered input. This works around a Ghostscript bug which
    prevents printing encrypted PDF files with Adobe Reader 8.1.1 and
    Ghostscript built as shared library (Ghostscript bug #689577, Ubuntu bug
    LP: #172264)
  * debian/patches/40-path-correction.dpatch: Regenerated to adapt to new
    foo2zjs version.
  * debian/rules: Added argument to "make install" so that usb_printerid
    goes into /usr/bin and added arguments for new install targets.
  * debian/README.Debian: Updated, as source for foo2oak is supplied now
    (LP: #173380).

 -- Till Kamppeter <email address hidden>   Wed, 05 Dec 2007 15:19:37 +0000
Obsolete in gutsy-updates on 2011-09-16
Deleted in gutsy-proposed on 2011-09-19 (Reason: moved to -updates)
foo2zjs (20070625-0ubuntu1.1) gutsy-proposed; urgency=low

  * getweb.in: Updated URLs for download of firmware files and color profiles
    in the getweb script (LP: #163594).

 -- Till Kamppeter <email address hidden>   Tue, 20 Nov 2007 12:25:17 +0000
Obsolete in feisty-updates on 2009-08-20
Deleted in feisty-proposed on 2009-08-20 (Reason: moved to -updates)
foo2zjs (20061224-0ubuntu3.1) feisty-proposed; urgency=low

  * debian/patches/50-getweb-new-urls.dpatch: Updated URLs for download of
    firmware files and color profiles in the getweb script (LP: #163594).

 -- Till Kamppeter <email address hidden>   Thu, 22 Nov 2007 18:25:17 +0000
Obsolete in edgy-updates on 2008-06-19
Deleted in edgy-proposed on 2008-06-20 (Reason: moved to -updates)
foo2zjs (20060625dfsg-2ubuntu0.1) edgy-proposed; urgency=low

  * debian/patches/50-getweb-new-urls.dpatch: Updated URLs for download of
    firmware files and color profiles in the getweb script (LP: #163594).

 -- Till Kamppeter <email address hidden>   Thu, 22 Nov 2007 18:25:17 +0000
Superseded in hardy-release on 2007-12-06
foo2zjs (20071109-0ubuntu1) hardy; urgency=low

  * New upstream release
    - Snapshot from Nov 9, 2007
    - Added support for Lexmark C500n
    - Fixes with well-tempered screening (WTS) in newer Ghostscript versions
  * debian/patches/10-makefile.dpatch: Removed, merged upstream.

 -- Till Kamppeter <email address hidden>   Fri, 09 Nov 2007 10:31:36 -0700
175 of 92 results